LinuxQMISDK: calledPartyInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
calledPartyInfo Struct Reference

## Data Fields
BYTE | PI
BYTE | SI
BYTE | numType
BYTE | numPlan
BYTE | numLen
BYTE | number [255]

## Detailed Description

This structure contains Called party Number Information

Parameters

  PI | Presentation indicator; refer to [S1, Table 2.7.4.4-1] for valid values.
  SI | Number of sets of following elements Caller Id
  SI | Number screening indicator. Values: 0x00 - QMI_VOICE_SI_USER_PROVIDED_NOT_SCREENED - Provided user is not screened 0x01 - QMI_VOICE_SI_USER_PROVIDED_VERIFIED_PASSED - Provided user passed verification 0x02 - QMI_VOICE_SI_USER_PROVIDED_VERIFIED_FAILED - Provided user failed verification 0x03 - QMI_VOICE_SI_NETWORK_PROVIDED - Provided network
  numType | Number type. Values: 0x00 - QMI_VOICE_NUM_TYPE_UNKNOWN - Unknown 0x01 - QMI_VOICE_NUM_TYPE_INTERNATIONAL - International 0x02 - QMI_VOICE_NUM_TYPE_NATIONAL - National 0x03 - QMI_VOICE_NUM_TYPE_NETWORK_SPECIFIC - Network-specific 0x04 - QMI_VOICE_NUM_TYPE_SUBSCRIBER - Subscriber 0x05 - QMI_VOICE_NUM_TYPE_RESERVED - Reserved 0x06 - QMI_VOICE_NUM_TYPE_ABBREVIATED - Abbreviated 0x07 - QMI_VOICE_NUM_TYPE_RESERVED_EXTENSION - Reserved extension
  numPlan | Number plan. Values: 0x00 - QMI_VOICE_NUM_PLAN_UNKNOWN - Unknown 0x01 - QMI_VOICE_NUM_PLAN_ISDN - ISDN 0x03 - QMI_VOICE_NUM_PLAN_DATA - Data 0x04 - QMI_VOICE_NUM_PLAN_TELEX - Telex 0x08 - QMI_VOICE_NUM_PLAN_NATIONAL - National 0x09 - QMI_VOICE_NUM_PLAN_PRIVATE - Private 0x0B - QMI_VOICE_NUM_PLAN_RESERVED_CTS - Reserved cordless telephony system 0x0F - QMI_VOICE_NUM_PLAN_RESERVED_EXTENSION - Reserved extension
  numLen | Provides the length of number which follow.
  number[255] | number of numLen length, NULL terminated.

## Field Documentation

BYTE calledPartyInfo::number[255]

BYTE calledPartyInfo::numLen

BYTE calledPartyInfo::numPlan

BYTE calledPartyInfo::numType

BYTE calledPartyInfo::PI

BYTE calledPartyInfo::SI